#
# spec file for package libdrm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libdrm
BuildRequires:  pkgconfig xorg-x11-proto-devel
Url:            http://dri.sf.net
License:        X11/MIT
Group:          System/Libraries
AutoReqProv:    on
Version:        2.4.23
Release:        3.3.2
Provides:       libdrm23 = %{version}
Obsoletes:      libdrm23 < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libdrm-64bit < %{version}
Provides:       libdrm-64bit = %{version}
%endif
#
Summary:        Userspace Interface for Kernel DRM Services
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Patch:          enable_test_tools.diff
Patch1:         intel-Export-CONSTANT_BUFFER-addressing-mode.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%package devel
License:        X11/MIT
Summary:        Libraries, includes and more to develop libdrm applications
Group:          System/Libraries
Requires:       libdrm = %{version} glibc-devel
# bug437293
%ifarch ppc64
Obsoletes:      libdrm-devel-64bit < %{version}
Provides:       libdrm-devel-64bit = %{version}
%endif
#

%description devel
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%prep
%setup -q -n %{name}-%{version}
%patch
%patch1 -p1

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --with-pic --enable-nouveau-experimental-api --enable-vmwgfx-experimental-api --enable-udev
%{__make} %{?jobs:-j%jobs}
%{__make} %{?jobs:-j%jobs} -C tests/modeprint
%{__make} %{?jobs:-j%jobs} -C tests/modetest

%install
make install DESTDIR=$RPM_BUILD_ROOT
make -C tests/modeprint install DESTDIR=$RPM_BUILD_ROOT
make -C tests/modetest install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/%{_lib}/libdrm.so.2
/usr/%{_lib}/libdrm.so.2.4.0
/usr/%{_lib}/libdrm_intel.so.1
/usr/%{_lib}/libdrm_intel.so.1.0.0
/usr/%{_lib}/libdrm_nouveau.so.1
/usr/%{_lib}/libdrm_nouveau.so.1.0.0
/usr/%{_lib}/libdrm_radeon.so.1
/usr/%{_lib}/libdrm_radeon.so.1.0.0
/usr/%{_lib}/libkms.so.1
/usr/%{_lib}/libkms.so.1.0.0
/usr/bin/dristat
/usr/bin/drmstat
/usr/bin/modeprint
/usr/bin/modetest

%files devel
%defattr(-,root,root)
/usr/include/libdrm/
/usr/include/nouveau/
/usr/include/libkms/
/usr/include/xf86drm.h
/usr/include/xf86drmMode.h
/usr/%{_lib}/libdrm.so
/usr/%{_lib}/libdrm_intel.so
/usr/%{_lib}/libdrm_nouveau.so
/usr/%{_lib}/libdrm_radeon.so
/usr/%{_lib}/libkms.so
/usr/%{_lib}/pkgconfig/libdrm.pc
/usr/%{_lib}/pkgconfig/libdrm_intel.pc
/usr/%{_lib}/pkgconfig/libdrm_nouveau.pc
/usr/%{_lib}/pkgconfig/libdrm_radeon.pc
/usr/%{_lib}/pkgconfig/libkms.pc
%exclude %{_libdir}/libdrm.la
%exclude %{_libdir}/libdrm_intel.la
%exclude %{_libdir}/libdrm_nouveau.la
%exclude %{_libdir}/libdrm_radeon.la
%exclude %{_libdir}/libkms.la

%changelog
* Wed Jan  5 2011 sndirsch@novell.com
- intel-Export-CONSTANT_BUFFER-addressing-mode.patch
  * intel: Export CONSTANT_BUFFER addressing mode
* Sun Dec 12 2010 sndirsch@novell.com
- libdrm 2.4.23
  * drm: don't do the create the node ourselves if we have udev.
  * intel: Reorder need_fence vs fenced_command to avoid fences on
    gen4
  * tests: Update for ENOENT returns from unknown handles
* Sun Dec  5 2010 sndirsch@novell.com
- updated to git master commit #af3d282 (2010-12-03, still 2.4.22)
- obsoletes intel-initialize-bufmgr.bo_mrb_exec-unconditionally.patch
* Mon Nov  8 2010 sndirsch@novell.com
- intel-initialize-bufmgr.bo_mrb_exec-unconditionally.patch
  * no longer require kernels without BLT ring support (which came
    not before 2.6.37rc1 for SandyBridge)
* Sat Nov  6 2010 sndirsch@novell.com
- updated to git master commit #a52e61b (2010-11-02, still 2.4.22)
* Tue Nov  2 2010 sndirsch@novell.com
- updated to git master commit #d0a4f2e (2010-10-31, still 2.4.22)
* Fri Oct  8 2010 sndirsch@novell.com
- Update to libdrm 2.4.22 (required for intel driver 2.13.0)
  * intel: Suppress the error return from setting domains after
    mapping.
  * Purge macro NEED_REPLIES
  * drm mode: Return -errno on drmIoctl() failure
  * Copy headers from kernel drm-core-next
  * libdrm: Fix PCI domain domain support
  * nouveau: accept both 0.0.16 and 1.x.x
  * Free the property blob along the error path.
  * Avoid use of c++ reserved keyword "virtual" when using a C++
    compiler.
  * modetest: add edp and TV connector names to the connector name
    array
  * modetest: align fb pitch to 64 bytes
  * modetest: Fix drawing routines to use stride.
  * nouveau: fix thinko in drm version check
  * nouveau: fix drm version check some more
  * intel: Replace open-coded drmIoctl with calls to drmIoctl()
- %%configure
  * removed obsolete option --enable-radeon-experimental-api
  * added option --enable-vmwgfx-experimental-api
* Tue Jul 13 2010 mhopf@novell.com
- Update to libdrm 2.4.21 (fate #310133)
  * required for intel driver 2.12.0
  * added nouveau driver
  * added kms wrapper library driver
- Update to git #726210f
  * various tiling related fixes for intel
- adjusted enable_test_tools.diff
* Wed Mar 31 2010 mhopf@novell.com
- libdrm-intel-d1308f4+85fb3e5+e6c136c+04f90a4-getXXX-retry.diff
  * Fix xserver crashes due to race conditions in getResources & co.
    (bnc #590596, 590596, 590596)
- libdrm-intel-fdcde59-Account-for-potential-pinned-buffers-hogging.patch
  * Fix potential kernel oopses
* Wed Feb 17 2010 sndirsch@suse.de
- libdrm-commit-4f0f871.diff
  * fixes a bug in the intel support which was causing dramatic
    failures with at least version 2.10 of the xf86-video-intel
    driver (bfo #25475, bfo #25554, bnc #579489)
* Wed Jan  6 2010 sndirsch@suse.de
- update to libdrm 2.4.17, which is part of Intel 2009Q4 release
* Fri Dec 11 2009 sndirsch@suse.de
- libdrm 2.4.16; changes since 2.4.15_2009-12-01_8ffd2e1:
  * intel: Remove the extra reference while validating the reloc
    tree
  * intel: Make bo_reference() inline for internal use.
  * intel: Review use of errno.
  * intel: Repeat execbuffer after EINTR
  * intel: Check and propagate errors from building reloc-tree
  * intel: Free memory before inserting bo into cache.
  * Enable experimental APIs for distcheck
  * Bump to 2.4.16 for release
* Tue Dec  1 2009 sndirsch@suse.de
- libdrm 2.4.15_2009-12-01_8ffd2e1
  * update to git commit 8ffd2e1 (2009-12-01); required for
    xf86-video-intel 2.10 RC1
- adjusted enable_test_tools.diff
* Wed Nov 18 2009 sndirsch@suse.de
- This libdrm package update is part of the X stack update for
  SLE11-SP1 (FATE #307236)
* Thu Oct 29 2009 sndirsch@suse.de
- enable_test_tools.diff
  * enabled build of test tools (dristat, drmstat, modeprint,
    modeset)
* Wed Oct 28 2009 crrodriguez@opensuse.org
- libdrm-devel requires glibc-devel.
* Tue Sep 29 2009 sndirsch@suse.de
- libdrm 2.4.14
  * intel: adds support for G41, B43 and Ironlake
* Sat May 16 2009 sndirsch@suse.de
- libdrm 2.4.11
  * Two releases in one, so twice the usual tiny amount of changes.
    Both of the new libdrm_intel interfaces enable KMS fixes in the
    Intel 2D driver.
- enabled build of Nouveau's experimental API
* Sat Apr 18 2009 sndirsch@suse.de
- libdrm 2.4.9
  * Aka, the "kick jbarnes" release.  Not only did I push the
    broken speedup patch but I flubbed the version bump, so we get
    to go from 2.4.7 to 2.4.9.  Yay for me.
* Fri Apr 10 2009 sndirsch@suse.de
- libdrm 2.4.7
  * quick follow on release to 2.4.6 to fix an embarrasing
    build problem in the test suite when libudev is not available.
- obsoletes libdrm-commit-1faab66.diff
* Tue Apr  7 2009 sndirsch@suse.de
- libdrm 2.4.6
  * various fixes
- libdrm-commit-1faab66.diff
  * fixes build of 2.4.6
* Wed Feb 25 2009 sndirsch@suse.de
- libdrm 2.4.5
* Fri Jan 23 2009 sndirsch@suse.de
- Provides/Obsolete: libdrm23, i.e. get rid of confusing SLE10
  packages (bnc #468796)
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Fri Oct 31 2008 sndirsch@suse.de
- libdrm 2.4.1
  * New libdrm release to fix the symbol name collision between
    Mesa 7.2 and libdrm_intel.  Also includes a fix for deadlock
    in non-GEM 2D, and support for aperture size checking in GEM.
  * Changes since commit a59ea02
  - intel: Rename dri_ and intel_ symbols to drm_intel_.
  - intel: Add dri_bufmgr_check_aperture support for bufmgr_gem.
  - nv50: symlink nv50_grctx.h to linux-core...
  - nv50: move context-related tables a separate header file
  - drm: missing init_mm symbol, compatibility fix
  - i915: Since FreeBSD doesn't have gem support yet, don't
    advertise it.
  - radeon: fix error in busmaster enable logic
  - radeon: fix some fallout from the busmaster disable cleanup
  - drm/i915: fix ioremap of a user address for non-root
    (CVE-2008-3831)
  - intel: Also total child_size of the target_bos. Partial fix
    [#17964].
  - [FreeBSD] We should use dev2unit() rather than minor()
  - [FreeBSD] This check isn't correct and causes at least mga
    to lockup.
* Tue Oct 21 2008 sndirsch@suse.de
- update to git commit a59ea02 (=2.4.1, Intel-2008-Q3-RC5)
  * avoid deadlock in intel_bufmgr_fake.
  * ioctl is not defined to return -errno. Don't count on ioctl
    returning -errno; use errno directly.
* Sun Oct 19 2008 sndirsch@suse.de
- libdrm 2.4.0 finally available
* Thu Oct  9 2008 sndirsch@suse.de
- updated to git commit ce40261, which is required by latest
  xf86-video-intel driver (Intel-2008-Q3-RC3)
* Fri Sep 26 2008 sndirsch@suse.de
- updated to git commit 2db8e0c, which is required by latest
  xf86-video-intel driver (Intel-2008-Q3-RC2)
* Wed Sep 24 2008 sndirsch@suse.de
- updated to git commit 973c634, which is required by latest
  xf86-video-intel driver (Intel-2008-Q3-RC1)
* Sun Aug 17 2008 sndirsch@suse.de
- updated to 2.4.0 prerelease (git commit a5381ca)
* Fri Jul  4 2008 sndirsch@suse.de
- updated to release 2.3.1
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-postun warning
- libdrm.la had an empty dependency_libs, removed.
* Sat Dec  2 2006 sndirsch@suse.de
- updated to 2.3.0 (required by X.Org (Server) 7.2 RC3)
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Wed Jun 28 2006 sndirsch@suse.de
- updated to 2.0.2
  * various bugfixes in libdrm
* Wed Jun 21 2006 sndirsch@suse.de
- updated to current CVS (2006-06-21)
* Sat Apr 15 2006 sndirsch@suse.de
- updated to 2.0.1
  * various bugfixes in libdrm
* Sat Feb  4 2006 aj@suse.de
- xorg-x11-devel is not needed for build.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 mls@suse.de
- Require main package in devel subpackage
* Wed Nov 30 2005 sndirsch@suse.de
- update to 2.0 branch (2005-11-30)
* Tue Nov  1 2005 sndirsch@suse.de
- updated to 1.0.5 (version Bump for new via header)
* Sat Oct 29 2005 sndirsch@suse.de
- call ldconfig in %%post
* Tue Oct 25 2005 sndirsch@suse.de
- updated to CVS 051025 (required for Mesa 6.4)
* Tue Oct  4 2005 sndirsch@suse.de
- added libdrm.so to filelist
* Sun Oct  2 2005 sndirsch@suse.de
- created package
